
Core - Bug # 64873

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:
Created: 2015-02-05 Assigned To:
Updated: 2015-02-05 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Make composer class loading case insensitive
Description

To fix an edge case where wrong casing of a class name
could still have been worked in TYPO3 6.2, we change the
composer class loader which is shipped by default to allow
case insensitive class loading of core classes.

This behavior can be switched on and off for fully composer based projects

It is off by default (which will be the case in master) and on for TYPO3 6.2 for full backwards compatibility.

Related issues:
related to Core - Task # 64361: Improve class loading performance Resolved 2015-01-19

Associated revisions
Revision bf16ad35 - 2015-02-05 18:57 - Helmut Hummel

[BUGFIX] Make composer class loading case insensitive

To fix an edge case where wrong casing of a class name
in third party code did not produce a fatal error in TYPO3 6.2,
we change the composer class loader which is shipped by default
to allow case insensitive class loading of core classes.

This behavior can be switched on and off for fully composer based projects.
It is off by default (which will be the case in master)
and on in TYPO3 6.2 for full backwards compatibility.

Releases: 6.2
Resolves: #64873
Change-Id: I9b4de69fdd2b56616cc7ca249395a22f242b0c33
Reviewed-on: http://review.typo3.org/36670
Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>
Tested-by: Helmut Hummel <helmut.hummel@typo3.org>
Reviewed-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Tested-by: Mathias Schreiber <mathias.schreiber@wmdb.de>

History
#1 - 2015-02-05 15:06 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36670

#2 - 2015-02-05 18:33 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36670

#3 - 2015-02-05 18:43 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36670

#4 - 2015-02-05 18:46 - Gerrit Code Review

Patch set 4 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36670

#5 - 2015-02-05 19:00 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:bf16ad35b62c6f1a3479c00acc7eaae517a4e0e0.
